Subject: RE: [Ltru] is there some wiskey in the jar - [was: Registry in record-jar format]

From: "L.Gillam" <[email-masked]>
Date: Fri, 1 Apr 2005 13:48:02 +0100

> >Also, where did you discover that Moore's law was a "joke"? Not from 
> >Intel, surely? (http://www.intel.com/research/silicon/mooreslaw.htm)
> 
> Moore law applies to computers not to networks. On networks 
> Metcalfe and 
> Reeds laws are to be used as a never reached limit or as a 
> maximum filtering.

Well, it's about "Cramming more components onto integrated circuits". If network technologies do not use ICs then you are correct. What I see is a move from 10Mbps -> 100MBps -> 1G -> 10G on TP, and various increases on wireless. I'd say this would have quite an impact on communication throughput. Perhaps you disagree?

> I have no other model to offer than existing systems. This is 
> why I ask and 
> why I worry. I do not document, I ask it to be documented. 

Not a general requirement then, and not something that I guess could be fulfilled in any conclusive way. So, how would your expectations be satisfied? NB: comments below about IANA loads. 

> There is to date 
> no other request to IANA such as some of the discussed 
> propositions. IMHO 
> the IANA is not conceptually what fits these demands. I just want to 
> understand first what is the demand. This Draft is made to 
> address specific 
> application needs: I just ask how will this applications 
> operate. What are 
> the risks of usage creep.
> I am open to every suggestion. But first I want to understand 
> the problem. 
> Who is accessing, for what purpose, the length and the size of the 
> transaction. For example caching what, where, when, for how long. I 
> documented long caching in using a langtags file and yearly update???
> 

Ah, more predictions required. One existing demand would seem to come from xml:lang. So, applications using XML markup may have use of it. Does every XML application need to query the registry every time xml:lang is to be used? I suspect not. Do you need to update that which has not changed? My guess would be no - how would you? A "date not changed" attribute? Could a future registry operate on a push (publish/subscribe) model rather than a pull basis? I don't see why not. If it were OS updates that used the data, would the OS company pull 1 copy then distribute many within their updates? Sounds reasonable, and somewhat akin to current practices. 

> >Is your concern purely financial?
> 
> My concern is also financial. There is a necessary compromise 
> between cost, 
> quality of the service, volume of access, procedures, ways to 
> limiting 
> traffic. I want to understand first what we are talking 
> about. So, I ask.

> I have yet no real idea of when 
> people will access, why, etc. and I mean in real life, not in 
> theory: 

The answer, then, is the current use of RFC 3066. Other uses are
theory. Who knows what technology may be invented tomorrow that
has a better use for it?

> If someone updates his tables every 
> time it calls someone, the impact is zero, but if he does it 
> only when he 
> calls a new language, if he speaks only one language, no 
> impact, but if he 
> speaks 10 languages the impact if 10 times more, plus possible errors.

Suppose I have a table. It is 2 years old. I need a tag that isn't in there. Why? If the "major" languages are covered (the 639-1, 639-2, 3166, 15924 lang3tag?), the impact is likely to be at the "scale" of a community rather than a global outreach. I find out if there are updates. So, if it's a new language that isn't in this set, there may be an update. Generative mechanisms allow me some freedom (see previous discussions). 

> There is no use in having to enter/read something which is 
> not on your 
> keyboard. People at the Airport can type ASCII - for the time 
> being as 
> probably RFID will change many things. Not end users.

Pardon? My keyboard shows certain characters. Hopefully pressing them results in the same character being shown on screen. Certain internal mappings are happening that enables this. The internal representation is a series of 1s and 0s. I did not enter those. At the airport, the human sees something. The "internal representation" makes it onto your luggage for use by other systems. YYZ is a good example of a non-mnemonic code that works perfectly well for indentifying such items. Items with the wrong code should be flagged and dealt with by other procedures. The internal representation versus the external presentation. An ASCII internal representation is sufficient for providing the link to, for example, a Unicode presentation. Gratuitous simplifications notwithstanding.  

> >Where is it documented? How do people use it for 
> interoperability? Who 
> >ensures it is well maintained?
> 
> No one. You know the Babel symbolism: it is precisely to free 
> people from 
> the one who wanted things to be well maintained. So people 
> are free to do 
> it the way they want. So there is no single point of failure. 7520 
> languages are the way to make us free from someone ensuring 
> maintenance. 
> This is for us to feel secure we found a reliable way to be 
> stable, secure 
> and innovative without having to rely on a single one, with all the 
> possible cross verifications, which will insure us that our 
> system is well 
> maintained.
> 
> More complex, smarter, more work to find it? Probably yes.

The Tower of Babel is certainly an example of how to impede progress.
People are always free to do what they want - within the laws of society, 
morality, .... man is free, but everywhere in chains as the saying goes.
I'm curious here - does the Academie Francaise not maintain French? Are
there not major works on endangered languages? And how do we know which
language is which so that we can organise content and not be given stuff we
don't know how to read? If you didn't have such a system, you'd have to 
invent it.

> Open a dictionary. It will tell you five things about every 
> word, plus 
> information on the meaning, nature and syntax:
> 
> - the language (on the cover)
> - the script (you see it)
> - where it was published (ISSN-ISBN) or the title
> - the author (on the cover)
> - either it is standard style by default, or it mentions the 
> style: fam. 
> pop, old, etc.

The computational solution to language is for a human to read a dictionary? The dictionary doesn't tell me this information about every word - I have to infer it from the cover. OED also contains etymological information, part of speech data, ..... which English dictionary is the "standard style"? What do I do about symbols from physics/chemistry/mathematics in definitions? Should I infer the script from the text? Ever try using a dictionary for a language you don't know? It's one of those nice catch-22s.

> There are many needs to consider.
> 
> 1. application needs. The only considered needs are XML/HTML 
> pages by W3C 
> and some CLDR needs? OPES, DNS, Web Services, History, Users 
> communities, 
> CRC, etc. and innovation.

Predict innovation? You will become a very rich man. Web Services? Ummm ... seem to use XML. I see text..... http://www.w3.org/International/ws/ws-i18n-requirements-edit/ History? Described where, on the web? Books in libraries? User communities? Users of what? Web texts? Other texts? DNS? If I can't remember the site address I tend to use a natural language string with Google. Would I want to remember ever more complicated addresses? How memorable is the following address: http://www.iso.org/iso/en/CatalogueDetailPage.CatalogueDetail?CSNUMBER=32347 compared to the search string "ISO 16642" on Google? OPES? Do they *need* language tagging? Perhaps the "transformation" extension? Surely they've found RFC 1766/3066 or ISO 639 already?

RSS 3.0 perhaps?

> 2. there is not such a thing as a "wider community". 

Pardon? Now there are no users? I'm confused by this comment.

> Again, at this time we do not discuss a solution. We just need to 
> understand if there is a problem (I am surprised nobody came 
> in saying: 
> there is no problem because ....). 

Nobody has yet been able to agree with you that there is a problem. Abscence of evidence is not necessarily evidence of abscence. But what evidence do you have that there is a problem? Hypotheticals can be passed around ad nauseam.

> Roughly there are comments 
> saying "on OS 
> installation" - I do not know why, nor the size of the 
> access. But with 
> usual 10 times markup this means 3 to 4 billions a year 
> increasing. I do 
> not know the size, but I tend to think the lower the size the 
> greater the 
> number of accesses?

See OS comments above. Where do you get your OS updates from?

> My first real concern is why do I need the IANA for? Let take 
> the DNS. The 
> IANA delivers the Master file to the Alpha Machine and to the 
> Internic, and 
> the Whois file online. I would be very interested in IANA 
> documenting the 
> load each represents.

But it's not a user need, right? I'd be interested in all sorts of information. Doesn't mean I'll ever get it.

_______________________________________________
Ltru mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ltru